package org.jboss.portletbridge;

import java.io.IOException;
import java.io.Writer;

import javax.faces.component.UIComponent;
import javax.faces.context.ResponseWriter;

/**
 * This writer completely ignores all output, used during Action and Event portlet phases,
 * where output is not awailable.
 * @author asmirnov
 *
 */
public class NullResponseWriter extends Writer {

	@Override
	public void write(char[] cbuf, int off, int len) throws IOException {
		// ignore it
	}

	@Override
	public void write(char[] cbuf) throws IOException {
		// ignore it
	}
	
	@Override
	public void write(String str) throws IOException {
		// ignore it
	}

	@Override
	public void write(int c) throws IOException {
		// ignore it
	}
	
	@Override
	public void write(String str, int off, int len) throws IOException {
	}
	
	@Override
	public Writer append(char c) throws IOException {
		return this;
	}
	
	@Override
	public Writer append(CharSequence csq) throws IOException {
		return this;
	}
	
	@Override
	public Writer append(CharSequence csq, int start, int end){
		return this;
	}


	@Override
	public void flush() throws IOException {
		// TODO Auto-generated method stub
		
	}

	@Override
	public void close() throws IOException {
		// TODO Auto-generated method stub
		
	}


}
