/**
 * 
 */
package org.jboss.portletbridge.context;

import java.io.IOException;
import java.util.Map;

import javax.portlet.EventRequest;
import javax.portlet.EventResponse;
import javax.portlet.PortletContext;
import javax.portlet.PortletRequest;
import javax.portlet.PortletResponse;

/**
 * @author asmirnov
 * 
 */
public class EventRequestExternalContextImpl extends PortletExternalContextImpl {

	/**
	 * @param context
	 * @param request
	 * @param response
	 */
	public EventRequestExternalContextImpl(PortletContext context,
			EventRequest request, EventResponse response) {
		super(context, request, response);
	}

	public Map<String, String> getRequestHeaderMap() {
		if (this.requestHeaderMap == null) {
			requestHeaderMap = new RequestHeaderMap(getRequest(), false);
		}
		return this.requestHeaderMap;
	}

	public Map<String, String[]> getRequestHeaderValuesMap() {
		//
		if (this.requestHeaderValues == null) {
			this.requestHeaderValues = new RequestHeaderValuesMap(getRequest(),false);
		}
		return this.requestHeaderValues;
	}

	@Override
	protected String createActionUrl(PortalActionURL url, boolean escape) {
		return escapeUrl(escape, url.toString());
	}

	@Override
	protected String createResourceUrl(PortalActionURL portalUrl, boolean escape) {
		return escapeUrl(escape, portalUrl.toString());
	}

	@Override
	protected String createRenderUrl(PortalActionURL portalUrl, boolean escape) {
		return escapeUrl(escape, portalUrl.toString());
	}

	@Override
	protected void putRenderParametersToUrl(PortalActionURL portalUrl) {
	}

	@Override
	protected void externalRedirect(String url) throws IOException {
		// The redirect is ignored.
		
	}

	@Override
	protected void internalRedirectToNonFacesView(String url,
			Map<String, String[]> requestParameters) throws IOException {
		throw new IllegalStateException();		
	}

}
